﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Web;
using System.Web.Mvc;

namespace BrowserGraphics.Controllers {
  public class HomeController : Controller {
    protected void SetupEnv() {
      ViewBag.Base=String.Format("{0}://{1}{2}", Request.Url.Scheme, Request.Url.Authority, Url.Content("~"));
      return;
    }

    public ActionResult Index() {
      this.SetupEnv();
      return View();
    }

    public ActionResult About() {
      this.SetupEnv();
      ViewBag.Message = "Your application description page.";
      return View();
    }

    public ActionResult Contact() {
      this.SetupEnv();
      ViewBag.Message = "Your contact page.";
      return View();
    }
  }
}
